Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class DeltaValidator

    java.lang.Object
      |
      +--oracle.apps.cz.cio.DeltaValidator

Direct Known Subclasses:
  AtpDeltaValidator, AvailabilityDeltaValidator, ConnectionDeltaValidator, DeletionDeltaValidator, DependentConnectorsDeltaValidator, DetailedSelectionStateDeltaValidator, DisplayNameDeltaValidator, DisplayNamePathDeltaValidator, EligibleTargetsDeltaValidator, GlobalEventCommandsDeltaValidator, InstalledBaseDeltaValidator, InstanceIndexDeltaValidator, InstanceNameDeltaValidator, InstantiationDeltaValidator, LineTypeDeltaValidator, LoadStatusDeltaValidator, LocationDeltaValidator, PathNameDeltaValidator, PriceDeltaValidator, RequestsDeltaValidator, RollUpAtpDeltaValidator, TextDeltaValidator, TotalPriceDeltaValidator, UiExpressionDeltaValidator, UnsatisfiedRuleMessagesDeltaValidator

public abstract class DeltaValidator
extends java.lang.Object

An abstract class that manages change of a particular type.

Field Summary
`static int` | `ALL_DEFAULT_DV`
`static int` | `ATP_DV`
`static int` | `AVAILABILITY_DV`
`static int` | `COMPSET_MAX_CHANGE`
`static int` | `COMPSET_MIN_CHANGE`
`static int` | `CONNECTION_DV`
`static int` | `COUNT_DV`
`static int` | `CUSTOM_DV`
`static int` | `DELETION_DV`
`static int` | `DEPENDENT_CONNECTORS_DV`
`static int` | `DETAILED_SELECTION_STATE_DV`
`static int` | `DISPLAY_NAME_DV`
`static int` | `DISPLAY_NAME_PATH_DV`
`static int` | `ELIGIBLE_TARGETS_DV`
`static int` | `GLOBAL_EVENT_COMMANDS_DV`
`static int` | `IB_DV`
`static int` | `INFO_MESSAGE_DV`
`static int` | `INSTANCE_INDEX_DV`
`static int` | `INSTANCE_NAME_DV`
`static int` | `INSTANTIATION_DV`
`static int` | `LINE_TYPE_DV`
`static int` | `LOAD_STATUS_DV`
`static int` | `LOCATION_DV`
`static int` | `PATH_NAME_DV`
`static int` | `PRICE_DV`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `REQUESTS_DV`
`static int` | `ROLLUP_ATP_DV`
`static int` | `SELECTION_DV`
`static int` | `STATE_DV`
`static int` | `TEXT_DV`
`static int` | `TOTAL_PRICES_DV`
`static int` | `UI_EXPRESSION_DV`
`static int` | `UNSATISFACTION_DV`
`static int` | `UNSATISFIED_RULE_DV`
`static int` | `VALIDATION_DV`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getType()`
`int` | `hashCode()`
`boolean` | `isUpToDate()` Returns true if the upToDate flag on this validator is not set OR if the configuration is marked as out of date

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### ALL_DEFAULT_DV

    public static final int ALL_DEFAULT_DV

### STATE_DV

    public static final int STATE_DV

### COUNT_DV

    public static final int COUNT_DV

### PRICE_DV

    public static final int PRICE_DV

### AVAILABILITY_DV

    public static final int AVAILABILITY_DV

### UNSATISFACTION_DV

    public static final int UNSATISFACTION_DV

### SELECTION_DV

    public static final int SELECTION_DV

### VALIDATION_DV

    public static final int VALIDATION_DV

### INSTANTIATION_DV

    public static final int INSTANTIATION_DV

### CONNECTION_DV

    public static final int CONNECTION_DV

### ATP_DV

    public static final int ATP_DV

### INSTANCE_NAME_DV

    public static final int INSTANCE_NAME_DV

### LOAD_STATUS_DV

    public static final int LOAD_STATUS_DV

### ELIGIBLE_TARGETS_DV

    public static final int ELIGIBLE_TARGETS_DV

### DEPENDENT_CONNECTORS_DV

    public static final int DEPENDENT_CONNECTORS_DV

### INFO_MESSAGE_DV

    public static final int INFO_MESSAGE_DV

### REQUESTS_DV

    public static final int REQUESTS_DV

### TOTAL_PRICES_DV

    public static final int TOTAL_PRICES_DV

### GLOBAL_EVENT_COMMANDS_DV

    public static final int GLOBAL_EVENT_COMMANDS_DV

### DELETION_DV

    public static final int DELETION_DV

### TEXT_DV

    public static final int TEXT_DV

### UNSATISFIED_RULE_DV

    public static final int UNSATISFIED_RULE_DV

### LINE_TYPE_DV

    public static final int LINE_TYPE_DV

### LOCATION_DV

    public static final int LOCATION_DV

### IB_DV

    public static final int IB_DV

### UI_EXPRESSION_DV

    public static final int UI_EXPRESSION_DV

### PATH_NAME_DV

    public static final int PATH_NAME_DV

### ROLLUP_ATP_DV

    public static final int ROLLUP_ATP_DV

### COMPSET_MIN_CHANGE

    public static final int COMPSET_MIN_CHANGE

### COMPSET_MAX_CHANGE

    public static final int COMPSET_MAX_CHANGE

### DETAILED_SELECTION_STATE_DV

    public static final int DETAILED_SELECTION_STATE_DV

### DISPLAY_NAME_DV

    public static final int DISPLAY_NAME_DV

### DISPLAY_NAME_PATH_DV

    public static final int DISPLAY_NAME_PATH_DV

### INSTANCE_INDEX_DV

    public static final int INSTANCE_INDEX_DV

### CUSTOM_DV

    public static final int CUSTOM_DV

Method Detail

### getType

    public int getType()

### isUpToDate

    public boolean isUpToDate()

  Returns true if the upToDate flag on this validator is not set OR if the configuration is marked as out of date

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.